#include "cricketteam.h"


cricketteam::cricketteam(const std::string &name)
{
  this->name = name;
  players = new cricketplayer*[11];
  nr_players = 0;
}
cricketteam::~cricketteam(void)
{
  for(int i=0;i<nr_players;i++)
    {
      delete players[i];
    }
  delete [] players;
}
int cricketteam::add_player(cricketplayer::cricketplayer *p)
{
  if(nr_players==11)
    {
      std::cerr << "Cannot Add more players" << std::endl;
      return 0;
    }
  players[nr_players++] = p;
  return 1;
}
void cricketteam::display(void)
{
  std::cout << "Team: " << name << std::endl << std::endl;
  for(int i=0;i<nr_players;i++)
    {
      players[i]->display();
      std::cout << std::endl;
    }
}
