#include <iostream>
#include "cricketteam.h"
#include "cricketplayer.h"
#include "batsmen.h"
#include "bowler.h"
//#include "keeper.h"


using namespace std;

enum COUNTRY
{
  INDIA,
  ENGLAND,
  AUSTRALIA
};

cricketteam* create_team(const int country);

int main(void)
{

  cricketteam* myteam = create_team(ENGLAND);
  myteam->display();
  delete myteam;

  return 0;
}

cricketteam* create_team(const int country)
{
  cricketteam* t = NULL;
  cricketplayer* p;

  switch(country)
    {
    case INDIA :
      t = new cricketteam("India");
      p = new batsmen("Sachin Tendulkar",181,58,51,"Right");
      t->add_player(p);
      p = new bowler("Ishant Sharma",38,3.43,1,"Right-arm fast-medium");
      t->add_player(p);
      break;
    case ENGLAND :
      t = new cricketteam("England");
      p = new batsmen("Alistair Cook",72,49,19,"Right");
      t->add_player(p);
      break;
    case AUSTRALIA :

      break;
    default:
      cerr << "Unkown team" << endl;
      return NULL;
    }
  return t;
}

